Name: Mesa
Version: 6.2.1
Release: alt2
License: MIT
Summary: OpenGL 1.3 compatible 3D graphics library
Group: System/Libraries
Url: http://www.mesa3d.org
Source: MesaLib-%version.tar.bz2
Source1: MesaDemos-%version.tar.bz2
Source2: %name-icons.tar.bz2
Packager: Valery Inozemtsev <shrek@altlinux.ru>

# Automatically added by buildreq on Wed Sep 22 2004
BuildRequires: xorg-x11-devel xorg-x11-libs gcc-c++ libstdc++-devel

%package -n libglut
Summary: Files for Mesa (glut lib)
Group: System/Libraries

%package -n libglut-devel
Summary: Development files for GLU lib
Group: Development/C
Requires: libglut = %version-%release, xorg-x11-devel

%package demos
Summary: Demos for Mesa (OpenGL compatible 3D lib)
Group: Graphics
Requires: libglut = %version-%release

%description
Mesa is an OpenGL 1.3 compatible 3D graphics library.

%description -n libglut
Mesa is an OpenGL 1.3 compatible 3D graphics library.
This packet contains libglut part of Mesa.

%description -n libglut-devel
Mesa is an OpenGL 1.3 compatible 3D graphics library.
This package contains the headers of libglut needed to compile Mesa programs.

%description demos
Mesa is an OpenGL 1.3 compatible 3D graphics library.
This package contains some demo programs for the Mesa library.

%prep
%setup -q

#MesaDemos
tar -xjf %SOURCE1 -C ../

pushd progs/demos && {
    for i in *.c; do
        perl -pi -e "s|\.\./images/|%_x11datadir/mesa-demos-data/|" $i ;
    done
    perl -pi -e "s|isosurf.dat|%_x11datadir/mesa-demos-data/isosurf.dat|" isosurf.c
} && popd
				
%build
%ifarch %ix86
%make linux-x86
%else
%ifarch x86_64
%make linux-x86-64
%endif
%endif

%install
%__mkdir -p %buildroot%_x11libdir
%__cp -dv %_lib/libglut* %buildroot%_x11libdir
%__mkdir -p %buildroot%_x11includedir/GL/
%__cp -v include/GL/glut.h %buildroot%_x11includedir/GL/

%__mkdir -p %buildroot%_x11datadir/mesa-demos-data
%__mkdir -p %buildroot%_x11bindir
for i in bounce clearspd drawpix gamma gears glinfo glutfx isosurf morph3d \
         multiarb paltex pointblast reflect renormal \
         spectex stex3d tessdemo texcyl texobj trispd winpos; do
  %__cp -v progs/demos/$i %buildroot%_x11bindir
done

# (fg) So that demos at least work :)
cp -v progs/images/*.rgb progs/demos/isosurf.dat %buildroot%_x11datadir/mesa-demos-data

# menu for demos
install -m 755 -d %buildroot%_menudir
cat <<EOF > %buildroot%_menudir/%name-demos
?package(%name-demos):command="%_x11bindir/gears" \
                     icon="mesa-demos-gears.xpm" \
                     needs="x11" \
                     section="Amusement/Toys" \
                     title="Mesa gears" \
                     longtitle="Gears 3D demonstration from Mesa 3D"

?package(%name-demos):command="%_x11bindir/reflect" \
                     icon="mesa-demos-reflect.xpm" \
                     needs="x11" \
                     section="Amusement/Toys" \
                     title="Mesa reflect" \
                     longtitle="Reflect 3D demonstration from Mesa 3D"

?package(%name-demos):command="%_x11bindir/morph3d" \
                     icon="mesa-demos-morph3d.xpm" \
                     needs="x11" \
                     section="Amusement/Toys" \
                     title="Mesa morph" \
                     longtitle="Morph 3D demonstration from Mesa 3D"
EOF

%__mkdir -p %buildroot%_iconsdir
tar -xjf %SOURCE2 -C %buildroot%_iconsdir

%post -n libglut -p /sbin/ldconfig

%postun -n libglut -p /sbin/ldconfig

%post demos
%update_menus

%postun demos
%clean_menus

%files -n libglut
%doc docs/COPYING docs/RELNOTES-%version docs/README.X11
%_x11libdir/libglut.so.*

%files -n libglut-devel
%_x11includedir/GL/glut.h
%_x11libdir/libglut.so

%files demos
%doc docs/COPYING docs/RELNOTES-%version docs/README.X11
%_x11bindir/*
%_x11datadir/mesa-demos-data
%_menudir/%name-demos
%_miconsdir/*demos*.xpm
%_iconsdir/*demos*.xpm
%_liconsdir/*demos*.xpm

%changelog
* Thu Apr 07 2005 Anton D. Kachalov <mouse@altlinux.org> 6.2.1-alt2
- x86_64 support

* Fri Dec 17 2004 Valery Inozemtsev <shrek@altlinux.ru> 6.2.1-alt1
- 6.2.1

* Wed Sep 22 2004 Valery Inozemtsev <shrek@altlinux.ru> 6.1-alt1
- 6.1
- build demos, glut only

* Wed Apr 28 2004 Anton Farygin <rider@altlinux.ru> 5.0.2-alt2
- removed all compat libMesaGL symlinks (it's need for ldconfig from glibc 2.3)

* Fri Apr 23 2004 Anton Farygin <rider@altlinux.ru> 5.0.2-alt1
- updated to Mesa 5.0.2
- specfile cleanup
- updated glx to glx-xf4-20031008

* Thu Oct 02 2003 Rider <rider@altlinux.ru> 5.0.1-alt7
- enable build libOSMesa (fixed bug #3090)

* Wed Oct 01 2003 Rider <rider@altlinux.ru> 5.0.1-alt6
- fix requires and provides

* Fri Sep 26 2003 Anton Farygin <rider@altlinux.ru> 5.0.1-alt5
- added check in to libGLwrapper for ATI math based video cards

* Tue Jul 29 2003 Peter Novodvorsky <nidd@altlinux.com> 5.0.1-alt4
- updated ALT_MESA and MESA versions.

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 5.0.1-alt3
- updated Mesa to 5.0.1
- added fglrx support in GLwrapper

* Thu Oct 03 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.3-alt3
- Rebuild with gcc 3.2

* Wed Sep 18 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.3-alt2
- Fixed linking libraries
- Removed .la files from devel package

* Fri Sep 06 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.3-alt1
- 4.0.3
- Now we building libGLU packages
- build with gcc 2.96
- Fixed rpath

* Mon Apr 16 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Mon Mar 18 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.0.1-alt1
- 4.0.1
- Some spec cleanup

* Fri Nov 16 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.0-alt1
- 4.0

* Tue Jul 10 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.5-alt2
- Fixed bug with files in Mesa-demos
- Compile c++ files with optimization
- Added SSE optimization
- Return back libGLU and added libGLU & libGLU-devel packages, define it
  for build it
- Disabled osmesa build
- Fixed SGIX features in libglut - they're not present in Mesa 3.4.2

* Sat Jun 30 2001 Mikhail Zabaluev <mhz@altlinux.ru> 3.5-alt1.1
- added -fno-exceptions -fno-rtti to optflags

* Wed Jun 27 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.5-alt1
- New version
- Some spec cleanup
- Added MesaOS to Mesa package

* Thu Jun 7 2001 Konstantin Volckov <goldhead@altlinux.ru> 3.4.2-alt1
- New Mesa version
- Remove changelog messages before Jan 2001
- Remove libGLU library. It's now in XFree86-libs package.
- Added new packages - libglut, libglut-devel, glx, libGLwrapper
- Patched libGLwrapper for nVidia commercial driver compatibility
- Some spec cleanup

* Sun Feb 25 2001 AEN <aen@logic.ru>	3.4.1-ipl2mdk
- build 3.4.1 in RE environment
- cleanup spec

* Thu Feb 15 2001 Franois Pons <fpons@mandrakesoft.com> 3.4.1-1mdk
- 3.4.1 and remove GLUtesselator patch.

* Wed Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.4-8mdk
- patched mach64dmainit.c from CVS. Now /tmp/glx* is
  safely cleaned for mach64 on X exits.

* Mon Jan 22 2001 AEN <aen@logic.ru>
- RE adaptation

* Tue Jan 02 2001 Franois Pons <fpons@mandrakesoft.com> 3.4-7mdk
- updated GLwrapper with 0.1.4.
